package com.ym.mec.biz.dal.dao;

import java.util.List;

import com.ym.mec.biz.dal.dto.HorseRaceLampDto;
import com.ym.mec.biz.dal.entity.LuckDrawPrize;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

public interface LuckDrawPrizeDao extends BaseDAO<Integer, LuckDrawPrize> {

	/**
	 * 查询所有可用记录
	 * @param group
	 * @return
	 */
	List<LuckDrawPrize> queryEnabledList(int group);

	/**
	 * 获取锁
	 * @param id
	 * @return
	 */
	LuckDrawPrize getLock(Integer id);

	/**
	 * 批量新增
	 * @param luckDrawPrizeList
	 * @return
	 */
	int batchInsert(List<LuckDrawPrize> luckDrawPrizeList);

	/**
	 * 查询默认奖品
	 * @param group
	 * @return
	 */
	List<LuckDrawPrize> queryDefaultPrize(int group);

	/**
	* @description: 获取双十一活动跑马灯
	 * @param groupId
	* @return java.util.List<com.ym.mec.biz.dal.dto.HorseRaceLampDto>
	* @author zx
	* @date 2021/10/19 15:35
	*/
    List<HorseRaceLampDto> queryHorseRaceLampDto(int groupId);

	void batchUpdate(@Param("updateDraw") List<LuckDrawPrize> updateDraw);

    void deleteByIds(@Param("prizeIds") List<Integer> allPrizeIds);

	List<LuckDrawPrize> findByGroupId(@Param("groupId") Integer groupId);
}